Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Class Node_Literal

    java.lang.Object
      com.hp.hpl.jena.graph.Node
          com.hp.hpl.jena.graph.Node_Concrete
              com.hp.hpl.jena.graph.Node_Literal

    public class Node_Literal

extends Node_Concrete

An RDF node holding a literal value. Literals may have datatypes.

Author:
  kers

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.graph.Node
`Node.NotLiteral`

Field Summary

Fields inherited from class com.hp.hpl.jena.graph.Node
`ANY, NULL`

Method Summary
`boolean` | `equals(java.lang.Object other)` Nodes only equal other Nodes that have equal labels.
`java.lang.Object` | `getIndexingValue()` Literal nodes defer their indexing value to the component literal.
`com.hp.hpl.jena.graph.impl.LiteralLabel` | `getLiteral()` Answer the literal value of a literal node, or throw an UnsupportedOperationException if it's not a literal node
`RDFDatatype` | `getLiteralDatatype()` Answer the RDF datatype object of this node's literal value, if it is a literal; otherwise die horribly.
`java.lang.String` | `getLiteralDatatypeURI()` Answer the data-type URI of this node's literal value, if it is a literal; otherwise die horribly.
`boolean` | `getLiteralIsXML()`
`java.lang.String` | `getLiteralLanguage()` Answer the language of this node's literal value, if it is a literal; otherwise die horribly.
`java.lang.String` | `getLiteralLexicalForm()` Answer the lexical form of this node's literal value, if it is a literal; otherwise die horribly.
`java.lang.Object` | `getLiteralValue()` Answer the value of this node's literal value, if it is a literal; otherwise die horribly.
`boolean` | `isLiteral()` Answer true iff this node is a literal node [subclasses override]
`boolean` | `matches(Node x)` Answer true iff this node accepts the other one as a match.
`boolean` | `sameValueAs(java.lang.Object o)` Test that two nodes are semantically equivalent.
`java.lang.String` | `toString(PrefixMapping pm, boolean quoting)` Answer a human readable representation of this Node, quoting literals if specified, and compressing URIs using the prefix mapping supplied.
`java.lang.Object` | `visitWith(NodeVisitor v)` Visit a Node and dispatch on it to the appropriate method from the NodeVisitor `v`.

Methods inherited from class com.hp.hpl.jena.graph.Node_Concrete
`isConcrete`

Methods inherited from class com.hp.hpl.jena.graph.Node
`cache, create, create, create, createAnon, createAnon, createLiteral, createLiteral, createLiteral, createLiteral, createUncachedLiteral, createURI, createVariable, getBlankNodeId, getBlankNodeLabel, getLocalName, getName, getNameSpace, getType, getURI, hashCode, hasURI, isBlank, isURI, isVariable, toString, toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getLiteral

    public com.hp.hpl.jena.graph.impl.LiteralLabel getLiteral()

  Description copied from class: `Node`
  Answer the literal value of a literal node, or throw an UnsupportedOperationException if it's not a literal node

  Overrides:
    `getLiteral` in class `Node`

### getLiteralValue

    public final java.lang.Object getLiteralValue()

  Description copied from class: `Node`
  Answer the value of this node's literal value, if it is a literal; otherwise die horribly.

  Overrides:
    `getLiteralValue` in class `Node`

### getLiteralLexicalForm

    public final java.lang.String getLiteralLexicalForm()

  Description copied from class: `Node`
  Answer the lexical form of this node's literal value, if it is a literal; otherwise die horribly.

  Overrides:
    `getLiteralLexicalForm` in class `Node`

### getLiteralLanguage

    public final java.lang.String getLiteralLanguage()

  Description copied from class: `Node`
  Answer the language of this node's literal value, if it is a literal; otherwise die horribly.

  Overrides:
    `getLiteralLanguage` in class `Node`

### getLiteralDatatypeURI

    public final java.lang.String getLiteralDatatypeURI()

  Description copied from class: `Node`
  Answer the data-type URI of this node's literal value, if it is a literal; otherwise die horribly.

  Overrides:
    `getLiteralDatatypeURI` in class `Node`

### getLiteralDatatype

    public final RDFDatatype getLiteralDatatype()

  Description copied from class: `Node`
  Answer the RDF datatype object of this node's literal value, if it is a literal; otherwise die horribly.

  Overrides:
    `getLiteralDatatype` in class `Node`

### getLiteralIsXML

    public final boolean getLiteralIsXML()

  Overrides:
    `getLiteralIsXML` in class `Node`

### toString

    public java.lang.String toString(PrefixMapping pm,
                                     boolean quoting)

  Description copied from class: `Node`
  Answer a human readable representation of this Node, quoting literals if specified, and compressing URIs using the prefix mapping supplied.

  Overrides:
    `toString` in class `Node`

### isLiteral

    public boolean isLiteral()

  Description copied from class: `Node`
  Answer true iff this node is a literal node [subclasses override]

  Overrides:
    `isLiteral` in class `Node`

### getIndexingValue

    public java.lang.Object getIndexingValue()

  Literal nodes defer their indexing value to the component literal.

  Overrides:
    `getIndexingValue` in class `Node`
  See Also:
    `Node.getIndexingValue()`

### visitWith

    public java.lang.Object visitWith(NodeVisitor v)

  Description copied from class: `Node`
  Visit a Node and dispatch on it to the appropriate method from the NodeVisitor `v`.

  Specified by:
    `visitWith` in class `Node`
  Parameters:
    `v` - the visitor to apply to the node
  Returns:
    the value returned by the applied method

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `Node`
  Nodes only equal other Nodes that have equal labels.

  Specified by:
    `equals` in class `Node`

### sameValueAs

    public boolean sameValueAs(java.lang.Object o)

  Test that two nodes are semantically equivalent. In some cases this may be the sames as equals, in others equals is stricter. For example, two xsd:int literals with the same value but different language tag are semantically equivalent but distinguished by the java equality function in order to support round tripping.

  Default implementation is to use equals, subclasses should override this.

  Overrides:
    `sameValueAs` in class `Node`

### matches

    public boolean matches(Node x)

  Description copied from class: `Node`
  Answer true iff this node accepts the other one as a match. The default is an equality test; it is over-ridden in subclasses to provide the appropriate semantics for literals, ANY, and variables.

  Overrides:
    `matches` in class `Node`
  Parameters:
    `x` - a node to test for matching
  Returns:
    true iff this node accepts the other as a match

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP